#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int o=0;
    cin >> o;
    string resenje[o];
    long int u[o], b[o], g[o];
    long int sum, a, x;

    for(int k=0; k<o; ++k){

        cin >> u[k] >> b[k] >> g[k];

        if(g[k]==1)
        {
            sum=0;
            for(int i=1; i<=u[k]; ++i)
                sum+=i;
            if(sum>b[k])
            {
                resenje[k] = "Nie";
            }
            else{
                resenje[k] = "Tak";
            }
        }


        else{
            a = u[k]/g[k];
            for(int i=a-1; i>0; --i)
                a+=i;
            x = a;
            a *= (g[k]-1);
            if(a > b[k]){
                resenje[k] = "Nie";
                continue;
            }

            b[k] -= a;

            if(u[k]%2==1){
                if(b[k]>=(x+u[k]/b[k]+1)){
                    resenje[k] = "Tak";
                }
                else{
                    resenje[k] = "Nie";
                }
            }
            else
            {
                if(b[k]>=x)
                    resenje[k] = "Tak";
                else
                    resenje[k] = "Nie";
            }
        }
    }

    for(int k=0; k<o; ++k){
        cout<< resenje[k] << endl;
    }
}